
Figure - Bug #113043
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】系统-语言与输入法-语言-添加语言，添加一个语言后，一级列表选中态消失
2022-10-26 16:48 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-26

Priority: Normal Due date: 2022-11-04

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221026.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置-系统-语言与输入法-语言页面

2、点击页面中的添加语言

3、随机选择一个语言添加，返回到语言页面

【预期结果】

3、页面正常显示，左侧的一级列表-系统呈选中态

【实际结果】

3、一级列表选中态消失，左侧列表有闪一下的现象

【复现率】

必现

History

#1 - 2022-10-27 15:26 - CDTS-TEST 周婷

- Due date set to 2022-11-04

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#2 - 2022-10-28 09:55 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

- % Done changed from 0 to 100

#3 - 2022-10-31 10:48 - CD FW 曹覃刚

- Assignee changed from CD AF-陈羽杰 to CD FW-程天颖

#4 - 2022-10-31 11:07 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No
- Root cause set to 编码问题

■ Current conclusion

本地已修复并验证。

■ My analysis

由于原生代码，选择语言会跳转到全屏，导致一级菜单选中状态失效。

■Submit URL

下一步做什么，或者提交是什么，写明验证步骤https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/158461

#5 - 2022-10-31 18:48 - CD AF-陈羽杰

- Assignee changed from CD TEST-方永红 to CD AF-陈羽杰

#6 - 2022-10-31 18:48 - CD AF-陈羽杰

- Status changed from RESOLVED to ASSIGNED

#7 - 2022-11-02 16:50 - CD AF-陈羽杰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

■ Current conclusion

本地已修复验证

■ My analysis

选择语言后，settings重走生命周期导致

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159360

#8 - 2022-11-02 16:54 - CD AF-陈羽杰

- Status changed from NEED_INFO to RESOLVED

#9 - 2022-11-03 11:38 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

11.3 验证关闭

#10 - 2022-11-03 11:38 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#11 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158461 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/158461
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159360


AF:Settings: Modify language select1.Modify the language selection to the secondary page2.fix language selection first menu status exceptionTC-RID:

1201-0201809IssueID: TS-R-BUG-113043Change-Id: I6ea882a7158becc6d4f2fb38318e7f32e69905b7

#12 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159360 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Add Language remove function1.Add Language remove function2.fix add language first menu unselect exceptionTC-RID: 1201-0201809IssueID:

TS-R-BUG-113043Change-Id: Ia7273aa6819f530b597fffe8d8714190216e4938

Files

1647.txt 1.81 MB 2022-10-26 CD TEST-方永红

Phone-STS40X190122 2022-10-26 16-47-35.mp4 11.2 MB 2022-10-26 CD TEST-方永红
